// Program 3-11
// NOTE: The Java language does not allow pass by reference.
// Consequently, this is not an equivalent version of Program 3-10
// in the textbook.
//
// This program shows a function named getCups that may be
// alternatively demonstrated, at the instructor's discretion.
// The textbook covers functions in Chapter 6.

import java.util.Scanner;

public class Program3_11
{
   public static void main(String[] args)
   {
      // Create a Scanner object for keyboard input.
      Scanner keyboard = new Scanner(System.in);
      
      // Declare a variable for the
      // number of cups needed.
      double cupsNeeded;
      
      // Display an intro message.
      showIntro();
      
      // Get the number of cups.
      cupsNeeded = getCups();
      
      // Convert cups to ounces.
      cupsToOunces(cupsNeeded);
   }
   
   // The showIntro module displays an
   // introductory screen.
   public static void showIntro()
   {
      System.out.println("This program converts measurements");
      System.out.println("in cups to fluid ounces. For your");
      System.out.println("reference the formula is:");
      System.out.println("    1 cup = 8 fluid ounces.");
   }
   
   // The getCups module gets the number of cups
   // from the user and returns that value.
   public static double getCups()
   {
      // Create a Scanner object for keyboard input.
      Scanner keyboard = new Scanner(System.in);
      
      // Declare a variable to hold the number of cups.
      double cups;
      
      // Get the number of cups.
      System.out.print("Enter the number of cups: ");
      cups = keyboard.nextDouble();
      
      // Return the number of cups.
      return cups;
   }

   // The cupsToOunces module accepts a number
   // of cups and displays the equivalent number
   // of ounces.
   public static void cupsToOunces(double cups)
   {
      // Declare variables.
      double ounces;
      
      // Convert cups to ounces.
      ounces = cups * 8;
      
      // Display the result.
      System.out.println("That converts to " +
              ounces + " ounces.");
   }
}