// Program 3-8

import java.util.Scanner;

public class Program3_8
{
   public static void main(String[] args)
   {
      // Create a Scanner object for keyboard input.
      Scanner keyboard = new Scanner(System.in);
      
      // Declare a variable for the
      // number of cups needed.
      double cupsNeeded;
      
      // Display an intro message.
      showIntro();
      
      // Get the number of cups.
      System.out.println("Enter the number of cups.");
      cupsNeeded = keyboard.nextDouble();
      
      // Convert cups to ounces.
      cupsToOunces(cupsNeeded);
   }
   
   // The showIntro module displays an
   // introductory screen.
   public static void showIntro()
   {
      System.out.println("This program converts measurements");
      System.out.println("in cups to fluid ounces. For your");
      System.out.println("reference the formula is:");
      System.out.println("    1 cup = 8 fluid ounces.");
   }

   // The cupsToOunces module accepts a number
   // of cups and displays the equivalent number
   // of ounces.
   public static void cupsToOunces(double cups)
   {
      // Declare variables.
      double ounces;
      
      // Convert cups to ounces.
      ounces = cups * 8;
      
      // Display the result.
      System.out.println("That converts to " +
              ounces + " ounces.");
   }
}