// Program 5-19

import java.util.Scanner;

public class Program5_19
{
   public static void main(String[] args)
   {
      // Create a Scanner object for keyboard input.
      Scanner keyboard = new Scanner(System.in);
      
      // Local variable for the lot number
      int lotNumber;
      
      // Get the first lot number.
      System.out.println("Enter the property's lot number");
      System.out.print("(or enter 0 to end): ");
      lotNumber = keyboard.nextInt();
      
      // Continue processing as long as the user
      // does not enter lot number 0.
      while (lotNumber != 0)
      {
         // Show the tax for the property.
         showTax();
         
         // Get the next lot number.
         System.out.print("Enter the next property's " +
                          "lot number (or 0 to end): ");
         lotNumber = keyboard.nextInt();
      }
   }

   // The showTax module gets a property's
   // value and displays its tax.
   public static void showTax()
   {
      // Create a Scanner object for keyboard input.
      Scanner keyboard = new Scanner(System.in);
      
      // Local variables
      double propertyValue, tax;
      
      // Constant for the tax factor.
      final double TAX_FACTOR = 0.0065;
      
      // Get the property's value.
      System.out.print("Enter the property's value: ");
      propertyValue = keyboard.nextDouble();
      
      // Calculate the property's tax.
      tax = propertyValue * TAX_FACTOR;
      
      // Display the tax.
      System.out.println("The property's tax is $" + tax);
   }
}