// Program 6-7

import java.util.Scanner;

public class Program6_7
{
   // Globally visible constant for the discount percentage
   public static final double DISCOUNT_PERCENTAGE = 0.20;

   public static void main(String[] args)
   {
      // Create a Scanner object for keyboard input.
      Scanner keyboard = new Scanner(System.in);

      // Local variables to hold the regular and sale prices
      double regularPrice, salePrice;
      
      // Get the item's regular price.
      regularPrice = getRegularPrice();
      
      // Calculate the sale price.
      salePrice = regularPrice - discount(regularPrice);
      
      // Display the sale price.
      System.out.println("The sale price is $" + salePrice);
   }
   
   // The getRegularPrice function prompts the
   // user to enter an item's regular price and
   // returns that value as a double.
   public static double getRegularPrice()
   {
      // Create a Scanner object for keyboard input.
      Scanner keyboard = new Scanner(System.in);
      
      // Local variable to hold the price
      double price;
      
      // Get the regular price.
      System.out.print("Enter the item's regular price: ");
      price = keyboard.nextDouble();
      
      // Return the regular price.
      return price;
   }
   
   // The discount function accepts an item's price
   // as an argument and returns the amount of the
   // discount specified by DISCOUNT_PERCENTAGE.
   public static double discount(double price)
   {
      return price * DISCOUNT_PERCENTAGE;
   }
}