// Program 8-14

import java.util.Scanner;

public class Program8_14
{
   public static void main(String[] args)
   {
      // Create a Scanner object for keyboard input.
      Scanner keyboard = new Scanner(System.in);
      
      // Constant for the array size
      final int SIZE = 4;
      
      // Array to hold test scores
      double[] testScores = new double[SIZE];
      
      // Variable to hold the total of scores
      double total;
      
      // Variable to hold the lowest score
      double lowestScore;
      
      // Variable to hold the average score
      double average;
      
      // Get the test scores from the user.
      getTestScores(testScores);
      
      // Get the total of the test scores.
      total = getTotal(testScores);
      
      // Get the lowest test score.
      lowestScore = getLowest(testScores);
      
      // Subtract the lowest score from the total.
      total = total - lowestScore;
      
      // Calculate the average. We divide by 3
      // because the lowest score was dropped.
      average = total / (SIZE - 1);
      
      // Display the average.
      System.out.println("The average with the lowest score");
      System.out.println("dropped is " + average);
   }
   
   // The getTestScores module accepts an array (by reference)
   // and its size as arguments. It prompts the user to enter
   // test scores, which are stored in the array.
   public static void getTestScores(double[] scores)
   {
      // Create a Scanner object for keyboard input.
      Scanner keyboard = new Scanner(System.in);
      
      // Loop counter
      int index;
      
      // Get each test score.
      for (index = 0; index < scores.length; index++)
      {
         System.out.print("Enter test score number " + index + 1 + ": ");
         scores[index] = keyboard.nextDouble();
      }
   }
   
   // The getTotal function accepts a double array and its
   // size as arguments. It returns the total of the
   // array elements.
   public static double getTotal(double[] array)
   {
      // Loop counter
      int index;
      
      // Accumulator, initialized to 0
      double total = 0.0;
      
      // Calculate the total of the array elements.
      for (index = 0; index < array.length; index++)
      {
         total = total + array[index];
      }
      
      // Return the total.
      return total;
   }
   
   // The getLowest function accepts a double array and its
   // size as arguments and returns the lowest value in
   // the array.
   public static double getLowest(double[] array)
   {
      // Variable to hold the lowest value
      double lowest;
      
      // Loop counter
      int index;
            
      // Get the first element of the array.
      lowest = array[0];
      
      // Step through the rest of the array. When a value
      // less than lowest is found, assign it to lowest.
      for (index = 0; index < array.length; index++)
      {
         if (array[index] < lowest)
            lowest = array[index];
      }
      
      // Return the lowest value.
      return lowest;
   }
}