// Program 10-11

import java.io.*;
import java.util.Scanner;

public class Program10_11
{
   public static void main(String[] args) throws IOException
   {
      // Variables for the fields.
      String description;
      double quantity;
      
      // A variable to hold the search value.
      String searchValue;
      
      // A flag to indicate whether the value was found.
      boolean found = false;
      
      // Create a Scanner object for keyboard input.
      Scanner keyboard = new Scanner(System.in);
      
      // Get the value to search for.
      System.out.print("Enter a value to search for: ");
      searchValue = keyboard.nextLine();
      
      // Open a file named employees.dat.
      Scanner coffeeFile = new Scanner(new File("coffee.dat"));
      
      // Display the records in the file.
      while (coffeeFile.hasNext())
      {
         // Read a record from the file.
         // First, read the description.
         description = coffeeFile.nextLine();
         
         // Next read the quantity.
         quantity = coffeeFile.nextDouble();
         // Read the newline that was left by nextDouble...
         coffeeFile.nextLine();
         
         // If the record contains the search value
         // then display it.
         if (description.indexOf(searchValue) != -1)
         {
            System.out.println("Description: " + description);
            System.out.println("Quantity on hand: " + quantity);
            
            // Set the found flag to true.
            found = true;
         }
      }

      // If the value was not found in the file then
      // display a message indicating so.
      if (!found)
         System.out.println(searchValue + " was not found.");
         
      // Close the file.
      coffeeFile.close();
   }
}