// Program 10-12

import java.io.*;
import java.util.Scanner;

public class Program10_12
{
   public static void main(String[] args) throws IOException
   {
      // Variables for the fields.
      String description;
      double quantity;
      
      // A variable to hold the new quantity.
      double newQuantity;
      
      // A variable to hold the search value.
      String searchValue;
      
      // A flag to indicate whether the value was found.
      boolean found = false;
      
      // Create a Scanner object for keyboard input.
      Scanner keyboard = new Scanner(System.in);
      
      // Open the employees.dat file.
      Scanner coffeeFile = new Scanner(new File("coffee.dat"));
      
      // Open a temporary file to copy the original file to.
      PrintWriter tempFile = new PrintWriter(new File("temp.dat"));
      
      // Get the value to search for.
      System.out.print("Enter a value to search for: ");
      searchValue = keyboard.nextLine();
      
      // Get the new quantity.
      System.out.print("Enter the new quantity: ");
      newQuantity = keyboard.nextDouble();
      
      // Display the records in the file.
      while (coffeeFile.hasNext())
      {
         // Read a record from the file.
         // First, read the description.
         description = coffeeFile.nextLine();
         
         // Next read the quantity.
         quantity = coffeeFile.nextDouble();
         // Read the newline that was left by nextDouble...
         coffeeFile.nextLine();
         
         // Write either this record to the temporary file or
         // the new record if this is the one to be changed.
         if (description.equalsIgnoreCase(searchValue))
         {
            tempFile.println(description);
            tempFile.println(newQuantity);
            found = true;
         }
         else
         {
            tempFile.println(description);
            tempFile.println(quantity);
         }
      }

      // Close the original file.
      coffeeFile.close();
      
      // Close the temporary file.
      tempFile.close();
      
      // Open the original file for output, thus
      // erasing its contents.
      PrintWriter coffeeFile2 = new PrintWriter("coffee.dat");
      
      // Open the temporary file for input.
      Scanner tempFile2 = new Scanner(new File("temp.dat"));
      
      // Copy each record from the temp file to
      // the original file.
      while(tempFile2.hasNext())
      {
         // Read a record from the temp file.
         description = tempFile2.nextLine();
         quantity = tempFile2.nextDouble();
         tempFile2.nextLine();
         
         // Write the reocrd to the original file.
         coffeeFile2.println(description);
         coffeeFile2.println(quantity);
      }
      
      // Close the original file.
      coffeeFile2.close();
      
      // Close the temporary file.
      tempFile2.close();      

      // If the value was not found in the file then
      // display a message indicating so.
      if (!found)
         System.out.println(searchValue + " was not found.");
   }
}