// Program 10-6

import java.io.*;
import java.util.Scanner;

public class Program10_6
{
   public static void main(String[] args) throws IOException
   {
      // Variable to hold a time that is read from the file.
      double runningTime;
      
      // Accumulator to hold the total time,
      // initialized to 0.
      double total = 0.0;
      
      // Open the video_times.dat file.
      Scanner videoFile = new Scanner(new File("video_times.dat"));
      
      System.out.println("Here are the running times of each " +
                         "video in the project:");

      // Read all of the items in the file and display them.
      while (videoFile.hasNext())
      {
         // Read a time.
         runningTime = videoFile.nextDouble();
         
         // Display the time for this video.
         System.out.println(runningTime);
         
         // Add runningTime to total.
         total = total + runningTime;
      }
      
      // Close the file.
      videoFile.close();
      
      // Display the total running time.
      System.out.println("The total running time of the " +
                         "videos is " + total + " seconds.");
   }
}