// Program 10-8

import java.io.*;
import java.util.Scanner;

public class Program10_8
{
   public static void main(String[] args) throws IOException
   {
      // Variables for the fields.
      String name;
      int idNumber;
      String department;
      
      // Open a file named employees.dat.
      Scanner employeeFile = new Scanner(new File("employees.dat"));
      
      System.out.println("Here are the employee records.");
      
      // Display the records in the file.
      while (employeeFile.hasNext())
      {
         // Read a record from the file.
         // First, read the name.
         name = employeeFile.nextLine();
         
         // Next read the ID number.
         idNumber = employeeFile.nextInt();
         // Read the newline that was left by nextInt...
         employeeFile.nextLine();
         
         // Read the department.
         department = employeeFile.nextLine();
         
         // Display the record.
         System.out.println("Name: " + name);
         System.out.println("ID Number: " + idNumber);
         System.out.println("Department: " + department);
         
         // Display a blank line.
         System.out.println();
      }

      // Close the file.
      employeeFile.close();
   }
}