import java.util.Scanner;

public class Program12_7
{
   public static void main(String[] args)
   {
      // Create a Scanner object for keyboard input.
      Scanner keyboard = new Scanner(System.in);
      
      // Declare a variable to hold a telephone number
      String phoneNumber;
      
      // Prompt the user to enter a telephone number.
      System.out.println("Enter an unformatted 10 digit telephone number.");
      phoneNumber = keyboard.nextLine();
    
      // If the input is properly formatted, unformat it.
      if (phoneNumber.length() == 10)
      {
			System.out.println("The formatted number is " + format(phoneNumber));
      }
      else
      {
         System.out.println("That number is not 10 digits.");
      }
   }
   
	// The format method accepts a string
	// assumed to contain an unformatted 10 digit telephone
	// number. The method formats the string in the following
	// manner: (XXX)XXX-XXXX.
	// The method returns the formatted string.
	public static String format(String str)
	{
      // Store str in a StringBuilder object.
      StringBuilder strb = new StringBuilder(str);
		
		// First, insert the left paren at position 0.
		strb.insert(0, "(");
		
      // Next, insert the right paren at position 4.
      strb.insert(4, ")");
      
      // Next, insert the hyphen at position 8.
      strb.insert(8, "-");
		
		// Return the contents of the StringBuilder
		// as a string.
		return strb.toString();
	}
}
