// Program 5-7
// NOTE: Java does not have a Do-Until loop.
// This program uses a do-while loop to get
// the same results.

import java.util.Scanner;

public class Program5_7
{
   public static void main(String[] args)
   {
      // Create a Scanner object for keyboard input.
      Scanner keyboard = new Scanner(System.in);
      
      // Declare a variable to hold the password.
      String password;
      
      // Repeatedly ask the user to enter a password
      // until the correct one is entered.
      do
      {
         // Prompt the user to enter the password.
         System.out.print("Enter the password: ");
         password = keyboard.nextLine();
         
         // Display an error message if the wrong
         // password was entered.
         if (!password.equals("prospero"))
            System.out.println("Sorry, try again.");
            
      } while (!password.equals("prospero"));
      
      // Indicate that the password is confirmed.
      System.out.println("Password confirmed.");
   }
}