// Program 6-8

import java.util.Scanner;

public class Program6_8
{
   public static void main(String[] args)
   {
      // Create a Scanner object for keyboard input.
      Scanner keyboard = new Scanner(System.in);

      // Local variables
      double sales, commissionRate, advancedPay, pay;
      
      // Get the amount of sales.
      sales = getSales();
      
      // Get the amount of advanced pay.
      advancedPay = getAdvancedPay();
      
      // Determine the commission rate.
      commissionRate = determineCommissionRate(sales);
      
      // Calculate the pay.
      pay = sales * commissionRate - advancedPay;
      
      // Display the amount of pay.
      System.out.println("The pay is $" + pay);
      
      // Determine whether the pay is negative.
      if (pay < 0)
      {
         System.out.println("This salesperson must reimburse");
         System.out.println("the company.");
      }
   }
   
   // The getSales function gets a salesperson's
   // monthly sales from the user and returns
   // that value as a double.
   public static double getSales()
   {
      // Create a Scanner object for keyboard input.
      Scanner keyboard = new Scanner(System.in);
      
      // Local variable to hold the amount of sales
      double sales;
      
      // Get the amount of sales.
      System.out.print("Enter the salesperson's monthly sales: ");
      sales = keyboard.nextDouble();
      
      // Return the amount of sales.
      return sales;
   }
   
   // The getAdvancedPay function gets the amount of
   // advanced pay given to the salesperson and
   // returns that amount as a double.
   public static double getAdvancedPay()
   {
      // Create a Scanner object for keyboard input.
      Scanner keyboard = new Scanner(System.in);
      
      // Local variable to hold the advanced pay
      double advanced;
      
      // Get the amount of advanced pay.
      System.out.println("Enter the amount of advanced pay, or");
      System.out.print("enter 0 if no advanced pay was given: ");
      advanced = keyboard.nextDouble();
      
      // Return the advanced pay.
      return advanced;
   }

   // The determineCommissionRate function accepts the
   // amount of sales as an argument and returns the
   // commission rate as a double.
   public static double determineCommissionRate(double sales)
   {
      // Local variable to hold commission rate.
      double rate;
      
      // Determine the commission rate.
      if (sales < 10000)
         rate = 0.10;
      else if (sales >= 10000 && sales <= 14999)
         rate = 0.12;
      else if (sales >= 15000 && sales <= 17999)
         rate = 0.14;
      else if (sales >= 18000 && sales <= 21999)
         rate = 0.16;
      else
         rate = 0.18;
   
      // Return the commission rate.
      return rate;
   }
}