// Program 8-15

import java.util.Scanner;

public class Program8_15
{
   public static void main(String[] args)
   {
      // Create a Scanner object for keyboard input.
      Scanner keyboard = new Scanner(System.in);
      
      // Constant for the array sizes
      final int SIZE = 6;
      
      // Array to hold each employee's name
      String[] names = new String[SIZE];
      
      // Array to hold each employee's hours
      double[] hours = new double[SIZE];
      
      // Variable to hold the hourly pay rate
      double payRate;
      
      // Variable to hold a gross pay amount
      double grossPay;
      
      // Variable to use as a loop counter
      int index;
      
      // Get each employee's data.
      for (index = 0; index <= SIZE - 1; index++)
      {
         // Get an employee's name.
         System.out.print("Enter the name of employee " + 
                          (index + 1) + ": ");
         names[index] = keyboard.next();
         
         // Get the employee's hours.
         System.out.print("Enter the hours worked by that employee: ");
         hours[index] = keyboard.nextInt();
      }
      
      // Get the hourly pay rate.
      System.out.print("Enter the hourly pay rate: ");
      payRate = keyboard.nextDouble();
      
      // Display each employee's gross pay.
      System.out.println("Here is each employee's gross pay.");
      for (index = 0; index <= SIZE - 1; index++)
      {
         grossPay = hours[index] * payRate;
         System.out.printf("%s: $%,.2f\n", names[index], grossPay);
      }
   }
}