// Program 8-17

import java.util.Scanner;

public class Program8_17
{
   public static void main(String[] args)
   {
      // Create a Scanner object for keyboard input.
      Scanner keyboard = new Scanner(System.in);
      
      // Constants for the array sizes
      final int ROWS = 3;
      final int COLS = 4;
      
      // An array to hold company sales
      double[][] sales = new double[ROWS][COLS];
      
      // Counter variables for rows and columns
      int row, col;
      
      // Accumulator
      double total = 0.0;
         
      // Display instructions.
      System.out.println("This program calculates the company's");
      System.out.println("total sales. Enter the quarterly sales");
      System.out.println("amounts for each division when prompted.");
      
      // Get values to store in the array.
      for (row = 0; row <= ROWS - 1; row++)
      {
         for (col = 0; col <= COLS - 1; col++)
         {
            System.out.print("Division " + (row+1) + 
                             " quarter " + (col+1) + 
                             ": " );
            sales[row][col] = keyboard.nextDouble();
         }
         // Display a blank line.
         System.out.println();
      }
      
      // Nested loops to add all of the array elements.
      for (row = 0; row <= ROWS - 1; row++)
      {
         for (col = 0; col <= COLS - 1; col++)
         {
            total = total + sales[row][col];
         }
      }
      
      // Display the total sales.
      System.out.printf("The total company sales are $%,.2f\n.", total);
   }
}