// Program 8-5

import java.util.Scanner;

public class Program8_5
{
   public static void main(String[] args)
   {
      // Create a Scanner object for keyboard input.
      Scanner keyboard = new Scanner(System.in);
      
      // Declare a constant for the array size.
      final int SIZE = 100;
      
      // Declare an array to hold integer values.
      int[] values = new int[SIZE];
      
      // Declare an integer variable to hold the number of items
		// that are actually stored in the array.
      int count = 0;
      
      // Declare an integer varuable to hold the user's input.
      int number;
      
      // Declare a variable to step through the array.
      int index;
		
		// Prompt the user to enter a number. If the user enters the
		// sentinel value -1 we will stop accepting input.
		System.out.print("Enter a number or -1 to quit: ");
		number = keyboard.nextInt();
		
		// If the input is not -1 and the array is not
		// full, process the input.
		while (number != -1 && count < SIZE)
		{
			// Store the input in the array.
     		values[count] = number;
			
			// Increment count.
			count = count + 1;
    
			// Prompt the user for the next number.
			System.out.print("Enter a number or -1 to quit: ");
			number = keyboard.nextInt();
		}

		// Display the values stored in the array.
		System.out.println("Here are the values you entered:");
		for (index = 0; index <= count - 1; index++)
		{
			System.out.println(values[index]);
		}
   }
}