// Program 10-13

import java.io.*;
import java.util.Scanner;

public class Program10_13
{
   public static void main(String[] args) throws IOException
   {
      // Variables for the fields.
      String description;
      double quantity;
      
      // A variable to hold the search value.
      String searchValue;
      
      // Create a Scanner object for keyboard input.
      Scanner keyboard = new Scanner(System.in);
      
      // Open the employees.dat file.
      Scanner coffeeFile = new Scanner(new File("coffee.dat"));
      
      // Open a temporary file to copy the original file to.
      PrintWriter tempFile = new PrintWriter(new File("temp.dat"));
      
      // Get the value to search for.
      System.out.print("Enter the coffee you want to delete: ");
      searchValue = keyboard.nextLine();
      
      // Display the records in the file.
      while (coffeeFile.hasNext())
      {
         // Read a record from the file.
         // First, read the description.
         description = coffeeFile.nextLine();
         
         // Next read the quantity.
         quantity = coffeeFile.nextDouble();
         // Read the newline that was left by nextDouble...
         coffeeFile.nextLine();
         
         // If this is not the record to delete then
         // write it to the temp file.
         if (!description.equalsIgnoreCase(searchValue))
         {
            tempFile.println(description);
            tempFile.println(quantity);
         }
      }

      // Close the original file.
      coffeeFile.close();
      
      // Close the temporary file.
      tempFile.close();
      
      // Open the original file for output, thus
      // erasing its contents.
      PrintWriter coffeeFile2 = new PrintWriter("coffee.dat");
      
      // Open the temporary file for input.
      Scanner tempFile2 = new Scanner(new File("temp.dat"));
      
      // Copy each record from the temp file to
      // the original file.
      while(tempFile2.hasNext())
      {
         // Read a record from the temp file.
         description = tempFile2.nextLine();
         quantity = tempFile2.nextDouble();
         tempFile2.nextLine();
         
         // Write the reocrd to the original file.
         coffeeFile2.println(description);
         coffeeFile2.println(quantity);
      }
      
      // Close the original file.
      coffeeFile2.close();
      
      // Close the temporary file.
      tempFile2.close();      

      System.out.println("The file was updated.");
   }
}