// Program 10-7

import java.io.*;
import java.util.Scanner;

public class Program10_7
{
   public static void main(String[] args) throws IOException
   {
      // Variables for the fields.
      String name;
      int idNumber;
      String department;
      
      // Variable for the number of employee records.
      double numEmployees;
      
      // Counter variable for the loop.
      int counter;
      
      // Create a Scanner object for keyboard input.
      Scanner keyboard = new Scanner(System.in);
      
      // Get the number of employees.
      System.out.print("How many employee records do " +
                       "you want to create? ");
      numEmployees = keyboard.nextInt();
      
      // The nextInt method, used above, leaves a newline
      // character in the keyboard buffer. In Java we have
      // to call the nextLine method to remove it so it
      // will not interfere with the next input operation.
      keyboard.nextLine();
      
      // Open a file named employees.dat.
      PrintWriter employeeFile = new PrintWriter("employees.dat");
      
      // Get each employee's data and write it to the file.
      for (counter = 1; counter <= numEmployees; counter++)
      {
         // Get the employee name.
         System.out.print("Enter the name of employee #" +
                          counter + ": ");
         name = keyboard.nextLine();
         
         // Get the employee ID number.
         System.out.print("Enter the employee's ID number: ");
         idNumber = keyboard.nextInt();
         // Read the remaining newline character...
         keyboard.nextLine();
         
         // Get the employee name.
         System.out.print("Enter the employee's department: ");
         department = keyboard.nextLine();
         
         // Write the record to the file.
         employeeFile.println(name);
         employeeFile.println(idNumber);
         employeeFile.println(department);         
         
         // Display a blank line.
         System.out.println();
      }

      // Close the file.
      employeeFile.close();
      System.out.println("Employee records written to employees.dat.");
   }
}