// Program 13-8

public class Program13_8
{
   static public void main(String[] args)
   {
      // A constant for the number of discs to move.
      final int NUM_DISCS = 3;
      
      // A constant for the intial "from" peg.
      final int FROM_PEG = 1;
   
      // A constant for the initial "to" peg.
      final int TO_PEG = 3;
      
      // A constant for the initial "temp" peg.
      final int TEMP_PEG = 2;
      
      // Play the game.
      moveDiscs(NUM_DISCS, FROM_PEG, TO_PEG, TEMP_PEG);
      System.out.println("All the discs are moved!");

   }

   //   The moveDiscs method displays a disc move.
   //   The parameters are:
   //      num:     The number of discs to move.
   //      fromPeg: The peg to move from. 
   //      toPeg:   The peg to move to. 
   //      tempPeg: The temporary peg.
   
   public static void moveDiscs(int num, int fromPeg, int toPeg, int tempPeg)
   {
      if (num > 0)
      {
         moveDiscs(num - 1, fromPeg, tempPeg, toPeg);
         System.out.println("Move a disc from peg " + 
                        fromPeg + " to peg " + toPeg);
         moveDiscs(num - 1, tempPeg, toPeg, fromPeg);
      }
   }
}
