// ServiceQuote class
public class ServiceQuote
{
   // Fields
   private double partsCharges;
   private double laborCharges;
   
   // Constructor
   public void ServiceQuote(double pc, double lc)
   {
      partsCharges = pc;
      laborCharges = lc;
   }
   
   // Mutators
   public void setPartsCharges(double pc)
   {
      partsCharges = pc;
   }
   
   public void setLaborCharges(double lc)
   {
      laborCharges = lc;
   }

   // Accessors
   public double getPartsCharges()
   {
      return partsCharges;
   }
   
   public double getLaborCharges()
   {
      return laborCharges;
   }
   
   public double getSalesTax(double taxRate)
   {
      // Sales tax is charged only on parts.
      return partsCharges * taxRate;
   }
   
   public double getTotalCharges(double taxRate)
   {
      return partsCharges + laborCharges + getSalesTax(taxRate);
   }
}